#include <bits/stdc++.h>
#include "code.h"
using namespace std;

namespace {
    static vector<pair<int, int>> points;
    static vector<int> p;
    static int n;
    static int q;
    static int qt;
}

int sol[1005], manji[1005];

vector<pair<int, int>> ZapisiTacke(int n)
{
    vector<pair<int, int>> V;
    for(int i = 0; i <= n; i++)
    {
        if(i == 1) V.push_back({0, 0});
        else V.push_back({1, i});
    }
    return V;
};
vector<int> Resi(int n, int q)
{
    vector<int> V;
    for(int i = 2; i <= n; i++)
        for(int j = 2; j <= n; j++)
        {
            if(i == j) continue;
            if(Pitaj(1, i, j) == -1) manji[i]++;
        }
    for(int i = 1; i <= n; i++) sol[i] = manji[i] + 2;
    V.push_back(0);
    V.push_back(1);
    for(int i = 2; i <= n; i++) V.push_back(sol[i]);
    return V;
};